%Help file for Annotate.mlapp (rev 0), an app designed to draw annotations
%of various types on top of ebsd or grain maps.
%This app requires an existing installation of Mtex, and ebsd data in the workspace to run.
%To use this app, first import your ebsd data into matlab using the
%import_wizard('EBSD') command.  
%
%As the first step every time you start the app you must go to the 'ebsd maps' 
%tab and import some data by pressing the 'Get Phase List' button, and pick 
%a single, multiple, or all phases to plot.  Each plot will overwrite the
%previous unless you start a new figure using the 'New Empty Figure'
%button.
%
%Example: your ebsd data is stored in a variable named ebsdSmall, and 
%contains the phases 'Mg','Fe'and 'Si'.  
%Type ebsdSmall into the box labeled 'EBSD Variable Name' and press the 
%'Get Phase List' button.  If sucessfull, it will turn green and read 'EBSD
%data loaded'.  The Phase List box will now read 'Mg','Fe','Si','All indexed'.
%
%If you select 'Fe' and then pick a Euler map from the options listed under
%'EBSD Map Type' pressing the 'Plot Map' button will plot only the points 
%indexed as Fe in your data.  If you then pick 'Mg' from the Phase List box, 
%press Band Contrast under 'EBSD Map Type', and press 'Plot Map' again, the
%Mg grains will be added to the same plot, with a different colour scale.  
%
%Each plot will be made on the active figure, overwriting the previous
%unless you press the 'New Empty Figure' button to start anew.
%
%
%Alternately, you can plot maps based on grains and grain boundaries on the
%next tab. In the box 'Grains Data Source' pick the data option you want.
%If you have a grains variable in the base matlab workspace, check that the
%name is correct and import it.  If you need to calculate grains, select the
%'Generate new grains' radio button, pick a degree threshold for the grain
%boundaries, (default is 10), and press the 'Import or Run' button.
%By default, the new grains variable will be exported to the base matlab 
%workspace, as will the updated ebsd variable (using the same name as in
%the ebsd import section)
%
%If you are working only with plots that require ebsd data, you don't have
%to load grain data and vice versa.  Working with annotations requires
%grain data in all cases, but ebsd data only in some cases.
%
%On the annotations tab, select the positions you want to annotate at left,
%and the type of annotation to draw at right.
%
%You may find a specific point is not annotated- example, you manually pick
%X-Y positions, and try to annotate these with the euler angle, but some
%don't draw - This happens if the point selected is not indexed.  If you
%just wanted to annotate this position with a text label, it would work.  
%
%If a manually selected position belongs to two grains, the largest will be
%selected.
%
%Code written by J. Hiscocks, Feb 2 2018.  For questions/comments, contact
%grandriverjh@gmail.com
